Page MenuHomePhabricator

eina: Updated testcases of strbuf_substr_get.
ClosedPublic

Authored by sri.hebbar on Dec 16 2015, 10:26 PM.

Details

Summary

Fixes T2949.

Signed-off-by: Srivardhan Hebbar <sri.hebbar@samsung.com>

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
sri.hebbar retitled this revision from to eina: Updated testcases of strbuf_substr_get..
sri.hebbar updated this object.
sri.hebbar edited the test plan for this revision. (Show Details)
sri.hebbar added reviewers: jpeg, cedric.
jpeg accepted this revision.Dec 30 2015, 8:37 PM
jpeg edited edge metadata.
This revision is now accepted and ready to land.Dec 30 2015, 8:37 PM
jpeg requested changes to this revision.Dec 30 2015, 8:46 PM
jpeg edited edge metadata.
jpeg added inline comments.
src/tests/eina/eina_test_strbuf.c
553

Correct AND incorrect.
You need two cases:

  • NULL --> NULL
  • len == 0 --> valid strbuf (but empty string)
This revision now requires changes to proceed.Dec 30 2015, 8:46 PM
sri.hebbar edited edge metadata.

Updated for both NULL and len = 0 test cases.

jpeg accepted this revision.Jan 6 2016, 10:32 PM
jpeg edited edge metadata.
This revision is now accepted and ready to land.Jan 6 2016, 10:32 PM
Closed by commit rEFLb598f8eb7350: eina: Updated testcases of strbuf_substr_get. (authored by sri.hebbar, committed by Jean-Philippe Andre <jp.andre@samsung.com>). · Explain WhyJan 6 2016, 10:38 PM
This revision was automatically updated to reflect the committed changes.